"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseInfo = void 0;
class DatabaseInfo {
    constructor(databaseName, resourceMap) {
        this.databaseName = databaseName;
        this.resourceMap = resourceMap;
    }
    tables() {
        return Array.from(this.resourceMap.values());
    }
    table(tableName) {
        const r = this.resourceMap.get(tableName);
        if (!r) {
            throw new Error(`Table not exists: ${this.databaseName}.${tableName}`);
        }
        return r;
    }
}
exports.DatabaseInfo = DatabaseInfo;
//# sourceMappingURL=DatabaseInfo.js.map